VisualEditor: Link inspector shouldn't correct newly-created [[Foo|foo]] to [[Foo]]
Closed, ResolvedPublic

Description

I changed a link here: http://sv.wikipedia.org/w/index.php?title=Intellektuell_s%C3%A4rbeg%C3%A5vning&diff=21539781&oldid=21539483

In the VisualEditor interface, the word "Känsla" is showed with a lower case k, but when you are looking at the article, or source it is K.


Version: unspecified
Severity: normal

bzimport set Reference to bz48060.
Ainali created this task.Via LegacyMay 3 2013, 9:56 PM
Jdforrester-WMF added a comment.Via ConduitMay 7 2013, 3:04 AM

Thank y(In reply to comment #0)

I changed a link here:

http://sv.wikipedia.org/w/index.php?diff=21539781&oldid=21539483

In the VisualEditor interface, the word "Känsla" is showed with a lower case
k, but when you are looking at the article, or source it is K.

Thank you for your bug report, Jan! Hope to get this fixed soon.

Krinkle added a comment.Via ConduitMay 14 2013, 11:23 PM

I just hit the same again.

  • Text "foo".
  • Link it, page "Foo" exists.
  • Close link editor.
  • Page shows "text <a href="./Foo">foo</a> text".
  • Saving turns it into [[Foo]], thus ignoring the case of the label.
Jdforrester-WMF added a comment.Via ConduitMay 14 2013, 11:36 PM

Depends on a Parsoid regression being fixed.

Esanders added a comment.Via ConduitMay 15 2013, 2:37 PM

As we're generating the correct HTML surely this is just a Parsoid bug, not a VE bug.

Jdforrester-WMF added a comment.Via ConduitMay 15 2013, 3:24 PM

(In reply to comment #4)

As we're generating the correct HTML surely this is just a Parsoid bug, not a
VE bug.

Yeah, point.

  • This bug has been marked as a duplicate of bug 48477 ***

Add Comment